package com.steerinfo.dil.controller;

import com.steerinfo.dil.feign.TmsTruckFeign;
import com.steerinfo.dil.util.PageListAdd;
import com.steerinfo.framework.controller.RESTfulResult;
import com.steerinfo.framework.service.pagehelper.PageHelper;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import org.springframework.web.multipart.MultipartRequest;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

@RestController
@RequestMapping("${api.version}/otms")
public class OTMSController {
    @Autowired
    private TmsTruckFeign tmsTruckFeign;
    @ApiOperation(value="全路径展示接口")
    @PostMapping("/fullPath")
    public Object fullPath(@RequestParam("orderNumber") String orderNumber) throws Exception {
        return tmsTruckFeign.fullPath(orderNumber);
    }
    @PostMapping("/getInTransitTransportation")
    public RESTfulResult getInTransitTransportation(@RequestBody(required=false)   Map<String,Object> mapValue,
                                                    @RequestParam(required = true,defaultValue = "468",name = "apiId")Integer apiId,
                                                    @RequestParam(required = false,defaultValue = "1",name = "pageNum")Integer pageNum,
                                                    @RequestParam(required = false,defaultValue = "20",name = "pageSize")Integer pageSize
    )
    {
        return tmsTruckFeign.getInTransitTransportation(mapValue!=null?mapValue:new HashMap<>(),apiId,pageNum,pageSize);
    }

    @PostMapping(value = "/addtmstruckArrivalResult")
    public RESTfulResult addtmstruckArrivalResult(@RequestParam("orderNumber") String orderNumber, @RequestParam("resultArrivalAddress")String resultArrivalAddress, MultipartFile file){
        return tmsTruckFeign.addtmstruckArrivalResult(orderNumber,resultArrivalAddress,file);
    }

    @PostMapping(value = "/addTmstruckReceiptResult", headers = "content-type=multipart/form-data")
    public synchronized RESTfulResult addTmstruckReceiptResult(MultipartRequest request, Integer num, String orderNumber, String resultArrivalAddress, Integer imgcount3, Integer imgcount4){
        return tmsTruckFeign.addTmstruckReceiptResult(request,num,orderNumber,resultArrivalAddress,imgcount3,imgcount4);
    }
}